#include "Cloud.h"
#include "LD.h"



Cloud::Cloud() :
  Angle( 0.0f ),
  ZoomFactor( 1.0f ),
  RotationDelta( 90.0f )
{
  TexSection = LD::TEX_CLOUD;
  Type = LD::GO_CLOUD;
}



void Cloud::Display( IDirect3DDevice8* pDevice )
{
  theApp.RenderTextureSectionRotated2d( Position.x, Position.y, theApp.m_TexSec[TexSection], Angle, ZoomFactor, Color );
}



void Cloud::Update( Level& theLevel, float ElapsedTime )
{
  Angle += RotationDelta * ElapsedTime;
}